; MIT License

; Copyright (c) 2020 María Belén Mera Reyes, Pablo Ramón Guevara

; Permission is hereby granted, free of charge, to any person obtaining a copy
; of this software and associated documentation files (the "Software"), to deal
; in the Software without restriction, including without limitation the rights
; to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
; copies of the Software, and to permit persons to whom the Software is
; furnished to do so, subject to the following conditions:

; The above copyright notice and this permission notice shall be included in all
; copies or substantial portions of the Software.

; THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
; IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
; FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
; AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
; LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
; OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
; SOFTWARE.

.module Entity_Manager
floor_level = 0

.macro DefineEntity _x, _y, _w, _h, _vx, _vy,  _type, _ptr_sprite, _lvmpv ;;last video memory pointer value
	.db _x, _y
	.db _w, _h
	.db _vx, _vy
	.db _type
	.dw _ptr_sprite
	.dw 0x0000
.endm

.globl _sp_personaje
.globl _sp_obstaculo2

e_x = 0
e_y = 1
e_w = 2
e_h = 3
e_vx = 4
e_vy = 5
e_type = 6
e_ptr_sprite_l = 7
e_ptr_sprite_h = 8
e_lvmpv_l = 9
e_lvmpv_h = 10
entity_size = 11

max_obstacles == 15


.globl _man_entity_init
.globl _man_entity_create_obstacle
.globl _man_entity_destroy_obstacle
.globl _man_entity_run_on_player
.globl _man_entity_run_on_obstacles
.globl _man_entity_obstacles_empty
.globl _player

.globl _obstacle_array
.globl _next_obstacle_ptr


