// MIT License

// Copyright (c) 2020 María Belén Mera Reyes, Pablo Ramón Guevara

// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:

// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.

// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.

#include "obstaculo.h"
// Data created with Img2CPC - (c) Retroworks - 2007-2017
// Palette uses hardware values.
const u8 sp_obstaculo_pal[15] = { 0x54, 0x44, 0x55, 0x58, 0x5d, 0x57, 0x5e, 0x40, 0x5f, 0x4e, 0x47, 0x53, 0x5b, 0x4a, 0x43 };

// Tile sp_obstaculo: 16x16 pixels, 8x16 bytes.
const u8 sp_obstaculo[8 * 16] = {
	0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01,
	0x03, 0x05, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x01,
	0x02, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x0a,
	0x02, 0x0f, 0x0f, 0x05, 0x0f, 0x0f, 0x05, 0x0a,
	0x05, 0x05, 0x0f, 0x0a, 0x0f, 0x0a, 0x0f, 0x0a,
	0x05, 0x0a, 0x0f, 0x0f, 0x00, 0x00, 0x0f, 0x0a,
	0x05, 0x0f, 0x00, 0x0f, 0x0f, 0x0f, 0x0f, 0x0a,
	0x05, 0x0f, 0x0f, 0x00, 0x05, 0x0f, 0x0f, 0x0a,
	0x05, 0x0f, 0x0f, 0x0f, 0x00, 0x0f, 0x05, 0x00,
	0x05, 0x0f, 0x0f, 0x0f, 0x0f, 0x00, 0x0f, 0x01,
	0x05, 0x00, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x01,
	0x05, 0x0a, 0x05, 0x0f, 0x0f, 0x0f, 0x0f, 0x01,
	0x00, 0x0f, 0x00, 0x05, 0x0f, 0x0f, 0x0f, 0x01,
	0x02, 0x05, 0x0f, 0x0a, 0x0f, 0x0f, 0x0f, 0x01,
	0x03, 0x05, 0x0f, 0x0f, 0x00, 0x0f, 0x0a, 0x03,
	0x03, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03
};

